Desenvolvendo em PHP com o Eclipse

Essa semana comecei a utilizar o Eclipse para desenvolver, já sabia que existiam plugins, para fazê-lo funcionar com o PHP, um deles, era o PDT (PHP Development Tools).

Então mãos a massa, no site, diz que é possível utilizar o próprio updater do Eclipse para instalar o pacote, então, dei um apt-get aqui e baixei o Eclipse direto dos repositórios do Ubuntu, mas uma coisa: não tem o PDT lá, claro. Só que pelo updater não dá pra instalar também, ele fica reclamando de dependências do próprio Eclipse, saí adicionando sites ali na ferramenta mas não obtive sucesso, então, o jeito foi entrar no site do PDT, e baixar um pacote chamado “pdt-all-in-one”, que é um pacotão, já com o Eclipse junto. Muuuuito mais fácil!

O pacote tem quase 120Mb, então, tem que ter um pouquinho de paciência, vai no site e enquanto espera, vai fazer um café hehehhe..

Pacote pronto, agora é só instalar o Subclipse, que é um plugin para o Eclipse trabalhar com o Subversion. Vou dizer, que tô gostando muito até agora. Utilizei por muito tempo o Zend Studio, mas é pago, e eu queria uma alternativa livre e pelo jeito, achei!

;)